

compute_statistics <- function(recipe, data){
  
  # data$hcst: s2dv_cube containing the hindcast
  # obs: s2dv_cube containing the observations
  # recipe: auto-s2s recipe as provided by read_yaml
  
  
  statistics <- tolower(recipe$Analysis$Workflow$Skill$statistics)
  
  data_statistics <- list()
  
  
  for (stat in strsplit(statistics, ", | |,")[[1]]) {
    # Whether the fair version of the metric is to be computed
    if (stat %in% c('cov', 'covariance')) {
      
     covariance <- cov(x = data$hcst$data, y = data$obs$data, use = "everything", method="pearson")
    
      ## What to do with ensemble dimension? Causing error :
      ## Error in cov(x = data$hcst$data, y = data$obs$data, use = "everything", : incompatible dimensions
     
     
    }
  }

  
}